#!/usr/bin/env python
# -*- coding: utf-8 -*- #
from __future__ import unicode_literals
from datetime import datetime

AUTHOR = 'trotFunky'
SITENAME = "L'Astrodome"
SITETITLE = "L'Astrodome"
SITESUBTITLE = "Un point d'observation de mon univers"
SITELOGO = "/images/Profile.png"
SITEURL = 'https://tfk-astrodome.net'

CC_LICENSE = {
    'name': 'Creative Commons Attribution-ShareAlike',
    'version': '4.0',
    'slug': 'by-sa'
}
COPYRIGHT_YEAR = datetime.now().year

PATH = 'content'
PLUGIN_PATHS = ["plugins"]
STATIC_PATHS = ['extras/custom.css','images/']

# tell pelican where it should copy that file to in your output folder
EXTRA_PATH_METADATA = {
'extras/custom.css': {'path': 'static/custom.css'},
}

CUSTOM_CSS = 'static/custom.css'

PLUGINS = ["pelican-toc"]

TIMEZONE = 'Europe/Paris'

DEFAULT_LANG = 'fr'

# Feed generation is usually not desired when developing
FEED_ALL_ATOM = 'feeds/all.atom.xml'
CATEGORY_FEED_ATOM = 'feeds/{slug}.atom.xml'
TRANSLATION_FEED_ATOM = None
AUTHOR_FEED_ATOM = None
AUTHOR_FEED_RSS = None

# Blogroll
LINKS = (("Categories", SITEURL+'/categories.html'),)

# Social widget
SOCIAL = (('rss', SITEURL+'/feeds/all.atom.xml'),)

DEFAULT_PAGINATION = False

# Uncomment following line if you want document-relative URLs when developing
#RELATIVE_URLS = True

MAIN_MENU = False

LOCALE = ('fr_FR', 'en_US')

TYPOGRIFY = True
THEME = "themes/Flex"

# Flex theme

TOC_FLOAT = 'right'
TOC = {
    'TOC_HEADERS'       : '^h[1-6]',
    'TOC_RUN'           : 'true',
    'TOC_INCLUDE_TITLE' : 'false',
}

THEME_COLOR_AUTO_DETECT_BROWSER_PREFERENCE = True
THEME_COLOR_ENABLE_USER_OVERRIDE = True
